Summary: A panel plugin acting as a launcher with two states
Name: xfce4-trigger-launcher
Version: 4.2.3
Release: 1%{?dist}
License: BSD
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.3.1/src/xfce4-trigger-launcher-4.2.3.tar.gz
Group: User Interface/Desktops
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: xfce4-panel >= 4.2.3
BuildRequires: xfce4-panel-devel >= 4.2.3
BuildRequires: libxfcegui4-devel >= 4.2.3
BuildRequires: libxfce4util-devel >= 4.2.3
BuildRequires: libxml2-devel
BuildRequires: gettext

%description
xfce4-trigger-launcher is a launcher with two states, like a trigger.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/panel-plugins/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/panel-plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_libdir}/xfce4/*

%changelog
* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc4
- Update to 4.2.3
- Added dist tag

* Thu May 19 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-2.fc4
- Bump release for new build

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- Removed uneeded la/a files

* Sun Mar 20 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- fix BuildReqs

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version
- Removed unneeded glob in files for lang files

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Fixed to use %find_lang
- Removed generic INSTALL from %doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-1
- Inital Fedora Extras version
